Retrieve Audit Metadata
Retrieve all fields and their metadata for a specified audit trail or log type.
GET
/api/{version}/metadata/audittrail/{audit_trail_type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/metadata/audittrail/login_audit_trailResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "login_audit_trail",
"label": "Login Audit Trail",
"fields": [
{
"name": "id",
"label": "ID",
"type": "Number"
},
{
"name": "timestamp",
"label": "Timestamp",
"type": "DateTime"
},
{
"name": "user_name",
"label": "User Name",
"type": "String"
},
{
"name": "full_name",
"label": "Full Name",
"type": "String"
},
{
"name": "source_ip",
"label": "Source IP",
"type": "String"
}
]
}
}